Skip to main content
POST
/
api2
/
v4
/
projects
/
{projectUid}
/
jobs
/
qualityAssurances
/
segments
/
{segmentId}
/
runWithUpdate
Run quality assurance on selected segments and save segments
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/qualityAssurances/segments/{segmentId}/runWithUpdate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/octet-stream' \
  --data '{}'
{
  "finished": true,
  "segmentWarnings": [
    {
      "ignoredChecks": [
        "<string>"
      ],
      "segmentId": "<string>",
      "warnings": [
        {
          "type": "<string>",
          "id": "<string>",
          "ignored": true,
          "repetitionGroupId": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

segmentId
string
required

URL-encoded segment identifier

Body

The body is of type object.

Response

OK

finished
boolean

True if all QA checks completed; false if truncated by maxQaWarningsCount

segmentWarnings
object[]

Warnings grouped by segment; only segments with warnings are included